Subject: [Megaco] What exactly constitutes Version 1 ?

From: "Harry Suede" <[email-masked]>
Date: Mon, 01 Oct 2001 16:15:56 +0800

Hi All

 I am a bit unsure about what exactly constitutes 'Version 1' of the MEGACO protocol.
Is it just the RFC 3015 ? Or do the subsequent IGs also form a part of it.

 RFC 3015 was itself made up of megaco_merged_01.txt and IGv3, right ?

 Is the document located at 
ftp://standard.pictel.com/avc-site/0105_Por/PL-015_H248_imp_guide.zip, the  the latest approved IG ? Where does this doc stand vis-a-vis 'Version 1' ?

 Could someone please clarify ?

Regards
Harry

-- 

_______________________________________________
Talk More, Pay Less with Net2Phone Direct(R), up to 1500 minutes free! 
http://www.net2phone.com/cgi-bin/link.cgi?143 

_______________________________________________
Megaco mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/megaco

---

From: "Rosen, Brian" <[email-masked]>
Date: Mon, 1 Oct 2001 10:25:48 -0400

RFC3015/ITU Recomendation H.248 Version 1 and the current IG 
are what defines the protocol.
The IG is still being updated regularly.  If you were being 
really pedantic, you could say that in ITU terms, only the 
approved versions of the IG stand, and in IETF terms, 
only RFC3015 stands, but in practical terms most of us
use the draft versions of the IG in our work.

RFC3015 is merged-01 plus some really minor editorial changes; 
NOT what is in IGv3.

Brian

> -----Original Message-----
> From: Harry Suede [mailto:[email-masked]]
> Sent: Monday, October 01, 2001 4:16 AM
> To: [email-masked]
> Subject: [Megaco] What exactly constitutes Version 1 ?
> 
> 
> Hi All
> 
> ftp://standard.pictel.com/avc-site/0105_Por/PL-015_H248_imp_gu
> ide.zip, the  the latest approved IG ? Where does this doc 
> stand vis-a-vis 'Version 1' ?
>

---

From: "Rosen, Brian" <[email-masked]>
Date: Mon, 1 Oct 2001 11:14:54 -0400

I am left with one thought.  Should we have an I-D on the table consisting
of RFC 3015 plus approved corrections (i.e.) the latest approved version of
the Implementor's Guide?

 I personally would welcome such a document.  It could be updated either to
keep it in the archives, or whenever a new version of the I-G is approved.
 
Brian

---

From: "Tom-PT Taylor" <[email-masked]>
Date: Mon, 1 Oct 2001 11:30:05 -0400

I'll take that as an action.

-----Original Message-----
From: Rosen, Brian [mailto:[email-masked]]
Sent: Monday, October 01, 2001 11:15 AM
To: Taylor, Tom-PT [NORSE:B881:EXCH]; 'Harry Suede'; [email-masked]
Subject: RE: [Megaco] What exactly constitutes Version 1 ?

Brian

---

From: "James M. Polk" <[email-masked]>
Date: Tue, 02 Oct 2001 11:14:21 -0500

Probably a good idea to do this -- perhaps new ID versions each time an IG is
approved, that way it's a single doc and the newest is always on the WG site
for reference by all

At 11:14 AM 10/1/2001 -0400, Rosen, Brian wrote: 
>
> I am left with one thought.  Should we have an I-D on the table consisting of
> RFC 3015 plus approved corrections (i.e.) the latest approved version of the
> Implementor's Guide?
>>
> *************************************
> "People generally demand more respect for their own rights than they are
> willing to allow for others"
>
> James M. Polk
> Consulting Engineer
> Office of the CTO
>
> Cisco Systems
> 2200 East President George Bush Turnpike 
> Richardson, TX  75082 USA
> w) 972.813.5208
> f)  972.813.5280
> www.cisco.com

---

From: Padmaja Musti <[email-masked]>
Date: Wed, 3 Oct 2001 09:58:36 +0530

Hi,
For the coming Interop are we saying that MG/MGC should conform to Formal 
definiton or practical definition (with IG)?
 
regards,
Padma

-----Original Message-----
From: Tom-PT Taylor [mailto:[email-masked]]
Sent: Monday, October 01, 2001 8:04 PM
To: 'Harry Suede'; [email-masked]
Subject: RE: [Megaco] What exactly constitutes Version 1 ?

I'll give you two answers: the practical one, and the formal one. 

The practical answer is that Version 1 consists of the protocol as
documented in RFC 3015 or ITU-T Rec. H.248 (June, 2000) plus the latest
approved H.248 Implementor's Guide (June, 2001).  Note that RFC 3015 has a
few small errors compared with the H.248 document.  The URL you cite
probably gives the June 2001 approved version of the IG, but for safety you
should get the official version, just posted last week, at 

http://www.itu.int/itudoc/itu-t/com16/implgd/h248-ig.html
<http://www.itu.int/itudoc/itu-t/com16/implgd/h248-ig.html>  

The formal answer is that because the IETF lacks the equivalent to the ITU
Implementor's Guide, RFC 3015 is the official IETF view of Version 1.
Normally we would recycle that document in a movement toward Draft Standard,
so you would have an Internet Draft containing the latest view of the
protocol including corrections.  The problem is that we don't want to risk
divergence between Megaco and H.248, so the more likely update route will be
to co-develop the next version of the H.248 Recommendation with SG 16.
Discussion of this topic at the last IETF meeting revealed a fairly clear
consensus that Megaco participants don't want to see another version of
Megaco/H.248 for another year, until we get solid deployment experience.  If
this is also the list consensus, I can report this view into the next SG 16
Rapporteur's meeting at the end of the month.

-----Original Message----- 
From: Harry Suede [ mailto:[email-masked]
<mailto:[email-masked]> ] 
Sent: Monday, October 01, 2001 4:16 AM 
To: [email-masked] 
Subject: [Megaco] What exactly constitutes Version 1 ? 

Hi All 

 I am a bit unsure about what exactly constitutes 'Version 1' of the MEGACO
protocol. 
Is it just the RFC 3015 ? Or do the subsequent IGs also form a part of it. 

 Is the document located at 
ftp://standard.pictel.com/avc-site/0105_Por/PL-015_H248_imp_guide.zip
<ftp://standard.pictel.com/avc-site/0105_Por/PL-015_H248_imp_guide.zip> ,
the  the latest approved IG ? Where does this doc stand vis-a-vis 'Version
1' ?

Regards 
Harry 

-- 

_______________________________________________ 
Talk More, Pay Less with Net2Phone Direct(R), up to 1500 minutes free! 
http://www.net2phone.com/cgi-bin/link.cgi?143
<http://www.net2phone.com/cgi-bin/link.cgi?143>  

_______________________________________________ 
Megaco mailing list 
[email-masked] 
http://www1.ietf.org/mailman/listinfo/megaco
<http://www1.ietf.org/mailman/listinfo/megaco>

---

From: [email-masked]
Date: Fri, 05 Oct 2001 09:43:12 +0530

Hi Randy,

I would presume that the NAT server would take care of your IP packets.
But, maybe we would be required to configure the NAT server statically.

Regards
Marut

[email-masked] wrote:
> 
>
> --Boundary_(ID_RYrCopfHiQOE7pLjg3MNqQ)
> Content-type: text/plain; charset=iso-8859-1
> Content-Transfer-Encoding: 7bit
> 
> RE: [Megaco] What exactly constitutes Version 1 ?Hi,
> 
> Is anyone familiar with the internet-draft: draft-sct-midcom-megaco-pkg-00?
> It discusses three packages for use with Megaco in the event of a Middlebox,
> such as a firewall or NAT.  Are there scenarios in a network where a gateway
> (possibly an access gateway) could be behind a firewall and the Megaco
> messages would traverse a firewall?  Any help in this matter would be
> appreciated.
> 
> Randy Haberman-WorldCom
>

---

From: "Rosen, Brian" <[email-masked]>
Date: Fri, 5 Oct 2001 09:23:13 -0400

A 4 byte TPKT header
 
Brian

-----Original Message-----
From: Padmaja Musti [mailto:[email-masked]]
Sent: Thursday, October 04, 2001 9:50 AM
To: 'Tom-PT Taylor'; Padmaja Musti; 'Harry Suede'; [email-masked]
Subject: RE: [Megaco] What exactly constitutes Version 1 ?

Hi,
I think in the previous Interops there was confusion on the implementation
of TPKT /RFC1006
and there was suggestion that 4 byte TPKT header should be used instead of
RFC1006.
But this is not mentioned in the IG Jun 2001. Was it omitted inadvertently.
For the coming Interop should every one come with 4 byte TPKT header or
RFC1006 implementation.
regards,
Padma

-----Original Message-----
From: Tom-PT Taylor [mailto:[email-masked]]
Sent: Wednesday, October 03, 2001 6:18 PM
To: 'Padmaja Musti'; 'Harry Suede'; [email-masked]
Subject: RE: [Megaco] What exactly constitutes Version 1 ?

It should conform to the "practical definition", since that includes
solutions to problems which have arisen in porevious interops.

-----Original Message-----
From: Padmaja Musti [mailto:[email-masked]]
Sent: Wednesday, October 03, 2001 12:29 AM
To: Taylor, Tom-PT [NORSE:B881:EXCH]; 'Harry Suede'; [email-masked]
Subject: RE: [Megaco] What exactly constitutes Version 1 ?

Hi,
 
regards,
Padma

-----Original Message----- 

Hi All 

Regards 
Harry 

--

---

From: "Rosen, Brian" <[email-masked]>
Date: Fri, 5 Oct 2001 14:30:47 -0400

In the interops, there has always been two points of confusion on TPKT.
One was "RFC1006 is a lengthy spec, what do I actually have to do?"
The answer is slap a 4 byte header in front of the message.
 
The other question is what happens to byte, aaah, 3 I think.  The answer
is, set it to zero on transmit, ignore on reception.
 
Brian

-----Original Message-----
From: Paul Long [mailto:[email-masked]]
Sent: Friday, October 05, 2001 2:10 PM
To: [email-masked]
Subject: RE: [Megaco] What exactly constitutes Version 1 ?

Padma,
 
I'm confused. What do you mean by "4 byte TPKT header ... instead of
RFC1006." Section 6 in RFC1006 has always defined a 4-byte header for TPKT.
 
Paul Long
ipDialog, Inc.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of
Padmaja Musti
Sent: Thursday, October 04, 2001 8:50 AM
To: 'Tom-PT Taylor'; Padmaja Musti; 'Harry Suede'; [email-masked]
Subject: RE: [Megaco] What exactly constitutes Version 1 ?

Hi,

---

From: "Tulpule, Naren" <[email-masked]>
Date: Mon, 8 Oct 2001 18:34:32 -0700

Hi,
  I agree with Brian, we should wait for more deployment experience. Many
holes which were plugged were clarifications of the spec in particular
scenarios or to remove ambiguities. Protocol functionality is substantially
the same.
  I assume v2 will have enhanced functionality not present in v1 such as
(perhaps) context properties or normative guidelines for profiles or ... and
not just bugfixes or clarifications.

These views are mine alone, not those of Intel or Trillium.
-- Naren
Narendra C. Tulpule         310-442-9222
SMTS, Trillium (an Intel company)
12100 Wilshire Bl #1800 Los Angeles CA 90025
"The reliance upon heroic programming is not a sustainable business
practice". - UML Spec 1.3.

-----Original Message-----
From: Christian Groves [mailto:[email-masked]]
Sent: Monday, October 08, 2001 6:24 PM
To: [email-masked]
Subject: Re: [Megaco] What exactly constitutes Version 1 ?

I believe we have sufficient experience to fix v1 and produce a v2. V1
was decided/approved June 2000. If a new version is approved in Feb 2002
it will have had 20 months of review and experience. With all the
discussion on what constitutes v1 I believe its a necessity to get a
"clean" version 2 of the protocol out that plugs several holes.

Christian

Troy Cauble wrote:
> 
> I also agree.
> 
> Paul Long wrote:
> >
> > Brian,
> >
> > I agree. Let's sit on this one for awhile.
> >
> > Paul Long
> > ipDialog, Inc.
> >
> > Rosen, Brian
> > Sent: Monday, October 08, 2001 8:03 AM
> > To: 'Christian Groves'; Tom-PT Taylor
> > Cc: Glen Freundlich; 'Harry Suede'; [email-masked]
> > Of course I am one of those who wants to wait.
> >
> > We have very little deployment experience with Megaco/H.248
> >
>

---

From: "Rosen, Brian" <[email-masked]>
Date: Tue, 9 Oct 2001 07:49:27 -0400

Implementation and deployment are two very different things.
Deployment experience is very valuable.  We don't have much.
We have some limited implementation experience.  Too limited,
in my opinion.  If V2 is exactly V1+IG, I have less heartburn.
If it adds features, I want to wait.

Brian

> Sent: Monday, October 08, 2001 9:24 PM
> To: [email-masked]
> > > From: [email-masked] 
[mailto:[email-masked]]On Behalf Of

---

From: "Marcello Pantaleo (EED)" <[email-masked]>
Date: Tue, 9 Oct 2001 15:08:58 +0200

V2 isn't exactly V1+IG, it does add new features.
Is this sufficient to motivate a new version?
Personally I'm in favor of a "clean" V2 plus a limited 
number of new features.

Marcello
-----Original Message-----
From: Rosen, Brian [mailto:[email-masked]]
Sent: Tuesday, October 09, 2001 1:49 PM
To: 'Christian Groves'
Cc: [email-masked]'
Subject: RE: [Megaco] What exactly constitutes Version 1 ?

Brian